org.h2.mvstore.db

## Class RowDataType.Factory

- java.lang.Object
- - org.h2.mvstore.db.RowDataType.Factory

All Implemented Interfaces:
  StatefulDataType.Factory<Database>

Enclosing class:
  RowDataType

    public static final class RowDataType.Factory
    extends java.lang.Object
    implements StatefulDataType.Factory<Database>

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RowDataType` `create(java.nio.ByteBuffer buff, MetaType<Database> metaDataType, Database database)` Reads the data type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### create

    public RowDataType create(java.nio.ByteBuffer buff,
                              MetaType<Database> metaDataType,
                              Database database)

Description copied from interface: `StatefulDataType.Factory`
Reads the data type.

Specified by:
  `create` in interface `StatefulDataType.Factory<Database>`
Parameters:
  `buff` - the buffer the source buffer
  `metaDataType` - the type
  `database` - the database
Returns:
  the data type